export const form = (options, modal = false) => {
  const {
    title,
    intro,
    agreement,
    button,
    required,
    required_agreement,
    required_checkbox,
  } = options.langs;

  const {
    textColor,
    textColorPopup,
    buttonBg,
    buttonTxt,
    rounded,
    showTitle,
    showIntro,
  } = options.styles;
  const labels = options.styles.labels || false;
  const randomId = Math.random().toString(36).substring(7) + new Date().getTime();
  const styles = modal ? `color:${textColorPopup};` : `color:${textColor};`;
  return `
    <form id="sare-form-${randomId}" class="sare-form-element ${rounded ? 'rounded' : ''}" novalidate style="${styles}">
      ${showTitle ? `<p class="sare-title">${title}</p>` : ''}
      ${showIntro ? `<p class="sare-app-intro">${intro}</p>` : ''}
      ${labels ? `<label for="sare-form-email-${randomId}">Adres e-mail:</label>` : ''}
      <input type="email" name="email" ${!labels ? 'placeholder="Adres e-mail"' :''} required class="sare-form-email" id="sare-form-email-${randomId}">
      <p class="sare-error-message">${required}</p>

      ${options.show_gsm_field ? `${labels ? `<label for="sare-form-gsm-${randomId}">Nr telefonu:</label>` : ''}<div style="margin:5px 0;"><input type="tel" name="gsm" ${!labels ? 'placeholder="Nr telefonu"' :''} class="sare-form-gsm" id="sare-form-gsm-${randomId}" ${options.gsm_field_required ? 'required' : ''}><p class="sare-error-message">${required}</p></div>` : ''}

      ${options.show_custom_fields ? options.custom_fields.map((f) => f.type !== "checkbox" ? `${labels ? `<label for="sare-form-field-${f.prop}-${randomId}">${f.label}:</label>` : ''}<div style="margin:5px 0;"><input type="text" name="${f.prop}" ${!labels ? `placeholder="${f.label}` : '' }" id="sare-form-field-${f.prop}-${randomId}" class="sare-form-custom" ${f.isRequired ? 'required' : ''} ${f.type === 'date' ? `data-format="${f.dateformat}"` : ''}><p class="sare-error-message">${required}</p></div>` : `<div style="margin:5px 0;"><label for="${f.prop}_${randomId}">
        <input type="checkbox" name="${f.prop}" id="${f.prop}_${randomId}" class="sare-form-checkbox" ${f.isRequired ? 'required' : ''}>
        <span>${f.label}</span>
        <p class="sare-error-message">${required_checkbox || 'Proszę zaznaczyć pole'}</p></label></div>`).join(' ') : ''}

      <label for="sare-form-checkbox-${randomId}">
        <input type="checkbox" name="checkbox" id="sare-form-checkbox-${randomId}" class="sare-form-checkbox" required>
        <span>${agreement}</span>
        <p class="sare-error-message">${required_agreement}</p>
      </label>
      <p class="sare-app-status"></p>
      <div class="sare-clear"></div>
      <button type="submit" class="sare-button" style="color:${buttonTxt};background-color:${buttonBg}">${button}</button>
      <div class="loader"></div>
    </form>
  `;
}
